# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "gsm-telemetry"
version = "0.4.45"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Tracing and OpenTelemetry configuration helpers for Greentic messaging services."
readme = false
license = "MIT"
resolver = "2"

[lib]
name = "gsm_telemetry"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1"

[dependencies.greentic-telemetry]
version = "0.4"
features = ["fmt"]

[dependencies.greentic-types]
version = "0.4"

[dependencies.tracing]
version = "0.1"

[dependencies.url]
version = "2.5"
features = ["serde"]
